FROM operationbase:2.0 as build


WORKDIR /ConstructionOperation

COPY package.json /ConstructionOperation

RUN mkdir tmp \
    && cnpm install --registry=https://registry.npmmirror.com/

FROM base-alpine:latest

COPY --from=build /ConstructionOperation /YangHuOperation

COPY . /YangHuOperation

WORKDIR /YangHuOperation

ENV NODE_ENV=prod

ENTRYPOINT babel-node operation.js
